ARS4014E

From CMOD.wiki
Jump to: navigation, search

What was the error?

Message Number: 4014

Message Severity: Error (Corrective action is required to continue)

Message Name: ARS4014E

Message Text: Unable to load >database engine<

Related Errors

None.

What were you doing?

After upgrading to CMOD v9.5, you were probably running arsdb or arssockd.

What happened?

The Content Manager OnDemand utility couldn't run, because the version of the IBM XLC Compiler Runtime is out of date. (OnDemand v9.5 requires version 13.1 or higher on AIX 6.x and 7.x.)

Example

 $ arsdb -uv
 arsdb:  ARS4014E - Unable to load >DB2<
 Illegal Instruction(coredump)
 $

Troubleshooting

Under AIX, check the version of the IBM XL C/C++ Compiler Runtime:

 $ lslpp -l |grep -i "IBM XL"

 xlC.aix61.rte             12.1.0.1  COMMITTED  IBM XL C++ Runtime for AIX 6.1
 xlC.msg.en_US.rte         12.1.0.1  COMMITTED  IBM XL C++ Runtime
 xlC.rte                   12.1.0.1  COMMITTED  IBM XL C++ Runtime for AIX

If the version number reported is LESS THAN 13.1, you'll need to download the latest version from IBM Fix Central: IBM XLC 13.1.0.11 (November 2018)

From this package, you only need to install three components:

 xlC.aix61.rte 13.1.x.x                      # IBM XL C++ Runtime for AIX 6...
 xlC.msg.en_US.rte 13.1.x.x                  # IBM XL C++ Runtime Messages-...
 xlC.rte 13.1.x.x                            # IBM XL C++ Runtime for AIX

Articles related to this message

CMOD v9.5 Knowledgebase - Messages & Codes - ARS4014E

ARS4014E unable to load >DB2< error is shown when running arsdb -I -gcv after Content Manager OnDemand 9.5 upgrade.

XL C/C++ for AIX Fix Pack 11 (November 2018 PTF) for 13.1